<?php
namespace Magento\ImportExport\Block\Adminhtml\Import\Frame\Result;

/**
 * Interceptor class for @see \Magento\ImportExport\Block\Adminhtml\Import\Frame\Result
 */
class Interceptor extends \Magento\ImportExport\Block\Adminhtml\Import\Frame\Result implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\Block\Template\Context $context, \Magento\Framework\Json\EncoderInterface $jsonEncoder, array $data = [])
    {
        $this->___init();
        parent::__construct($context, $jsonEncoder, $data);
    }

    /**
     * {@inheritdoc}
     */
    public function getImportButtonHtml()
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getImportButtonHtml');
        return $pluginInfo ? $this->___callPlugins('getImportButtonHtml', func_get_args(), $pluginInfo) : parent::getImportButtonHtml();
    }

    /**
     * {@inheritdoc}
     */
    public function getUrl($route = '', $params = [])
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'getUrl');
        return $pluginInfo ? $this->___callPlugins('getUrl', func_get_args(), $pluginInfo) : parent::getUrl($route, $params);
    }
}
